Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.condivisi.ws.vo
Class PaginazioneResponse

    java.lang.Object
      it.svimservice.nsisr.web.condivisi.ws.vo.PaginazioneResponse

    public class PaginazioneResponse

extends java.lang.Object

Elemento necessario per implementare la paginazione.

Field Summary
`(package private) java.lang.String` | `ancoraRisultati` Definisce se sono presenti altri risultati oltre a quelli restituiti.
`(package private) java.lang.String` | `numRisultati` Numero di risultati per chiamata.
`(package private) java.lang.String` | `posIniziale` Posizione del primo risultato.

Constructor Summary
`PaginazioneResponse()`

Method Summary
`java.lang.String` | `getAncoraRisultati()`
`java.lang.String` | `getNumRisultati()`
`java.lang.String` | `getPosIniziale()`
`void` | `setAncoraRisultati(java.lang.String ancoraRisultati)`
`void` | `setNumRisultati(java.lang.String numRisultati)`
`void` | `setPosIniziale(java.lang.String posIniziale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numRisultati

    java.lang.String numRisultati

  Numero di risultati per chiamata. Il numero sarà nesessariamente uguale o inferiore all'attributo numRisultati specificato nella request.

### posIniziale

    java.lang.String posIniziale

  Posizione del primo risultato.

### ancoraRisultati

    java.lang.String ancoraRisultati

  Definisce se sono presenti altri risultati oltre a quelli restituiti. Assumerà 1 se sono presenti altri risultati, 0 altrimenti.

Constructor Detail

### PaginazioneResponse

    public PaginazioneResponse()

Method Detail

### getNumRisultati

    public java.lang.String getNumRisultati()

### setNumRisultati

    public void setNumRisultati(java.lang.String numRisultati)

### getPosIniziale

    public java.lang.String getPosIniziale()

### setPosIniziale

    public void setPosIniziale(java.lang.String posIniziale)

### getAncoraRisultati

    public java.lang.String getAncoraRisultati()

### setAncoraRisultati

    public void setAncoraRisultati(java.lang.String ancoraRisultati)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD